Which client version can be used for CB5.0?


#1

I can’t connect cbserver 5.0beta with java client v2.2.3, which works well with cbserver 3.5.
This log is:
192.168.1.88:7093 07:29.849 WARN 1 [com.couchbase.client.core.node.Node:151] DNS Reverse Lookup of 10.110.6.216 is slow, took 10156ms
192.168.1.88:7093 07:30.194 WARN 18 [com.couchbase.client.core.endpoint.Endpoint:151] [null][KeyValueEndpoint]: Authentication Failure.
192.168.1.88:7093 07:30.259 WARN 19 [com.couchbase.client.core.endpoint.ResponseStatusConverter:156] Unknown ResponseStatus with Protocol HTTP: 401
192.168.1.88:7093 07:30.282 WARN 20 [com.couchbase.client.core.endpoint.ResponseStatusConverter:156] Unknown ResponseStatus with Protocol HTTP: 401
192.168.1.88:7093 07:30.286 ERROR 1 [org.pigai.cache.couchbase.CouchBase:86] Failed to connect couchbase, for : com.couchbase.client.java.error.InvalidPasswordException: Passwords for bucket “default” do not match. |cb_server=10.110.6.216

Which client version should I use? thx!


#2

You can use client 2.2.3 if you’d like, but if you’re configuring Couchbase Server 5.0 new instead of from upgrade, you’ll have to add a user.

For older SDKs, simply add a user with the same name as the bucket name, configure a password, and then have the client auth with that bucketname/password.

The 2.4.x line has an uncommitted change (that will be part of the 2.5 release) that allows for username, password authentication against a cluster. See the blog on the new authentication methods or the documentation for 5.0 beta.